#
# Conditional build:
%bcond_without	apidocs		# API documentation

Summary:	Session / policy manager implementation for PipeWire
Summary(pl.UTF-8):	Implementacja zarządcy sesji / polityk dla PipeWire
Name:		pipewire-wireplumber
Version:	0.4.13
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://gitlab.freedesktop.org/pipewire/wireplumber/-/tags
Source0:	https://gitlab.freedesktop.org/pipewire/wireplumber/-/archive/%{version}/wireplumber-%{version}.tar.bz2
# Source0-md5:	ce7d3c388116ea893790204d3ae9e836
URL:		https://pipewire.org/
# required for both docs and introspection
BuildRequires:	doxygen >= 1.8.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.62
BuildRequires:	gobject-introspection-devel
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	lua-devel >= 5.3.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja
BuildRequires:	pipewire-devel >= 0.3.52
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-lxml
BuildRequires:	python3-modules
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	systemd-devel
%if %{with apidocs}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg >= 2.1.0
%endif
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	%{name}-libs = %{version}-%{release}
Requires:	systemd-units >= 1:250.1
Provides:	pipewire-session-manager
Obsoletes:	pipewire-media-session
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WirePlumber is a modular session / policy manager for PipeWire and a
GObject-based high-level library that wraps PipeWire's API, providing
convenience for writing the daemon's modules as well as external tools
for managing PipeWire.

The WirePlumber daemon implements the session & policy management
service. It follows a modular design, having plugins that implement
the actual management functionality.

%description -l pl.UTF-8
WirePlumber to modularny zarządca sesji / polityk dla PipeWire oraz
oparta na GObject biblioteka wysokiego poziomu obudowująca API
PipeWire, pozwalająca na wygodne tworzenie modułów demona oraz
zewnętrznych narzędzi do zarządzania PipeWire.

%package libs
Summary:	WirePlumber shared library
Summary(pl.UTF-8):	Biblioteka współdzielona WirePlumber
Group:		Libraries
Requires:	glib2 >= 1:2.62
Requires:	pipewire-libs >= 0.3.52

%description libs
WirePlumber shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona WirePlumber.

%package devel
Summary:	Header files for WirePlumber library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WirePlumber
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for WirePlumber library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WirePlumber.

%package static
Summary:	WirePlumber static library
Summary(pl.UTF-8):	Biblioteka statyczna WirePlumber
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
WirePlumber static library.

%description static -l pl.UTF-8
Biblioteka statyczna WirePlumber.

%package apidocs
Summary:	API documentation for PipeWire WirePlumber
Summary(pl.UTF-8):	Dokumentacja API PipeWire WirePlumber
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for PipeWire WirePlumber.

%description apidocs -l pl.UTF-8
Dokumentacja API PipeWire WirePlumber.

%prep
%setup -q -n wireplumber-%{version}

%build
%meson build \
	-Ddoc=%{__enabled_disabled apidocs} \
	-Dintrospection=enabled \
	-Dsystem-lua=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{?with_apidocs:%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/wireplumber}

%find_lang wireplumber

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_user_post wireplumber.service

%preun
%systemd_user_preun wireplumber.service

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f wireplumber.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wireplumber
%attr(755,root,root) %{_bindir}/wpctl
%attr(755,root,root) %{_bindir}/wpexec
%{systemduserunitdir}/wireplumber.service
%{systemduserunitdir}/wireplumber@.service
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-default-nodes-api.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-default-nodes.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-default-profile.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-file-monitor-api.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-logind.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-lua-scripting.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-metadata.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-mixer-api.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-portal-permissionstore.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-reserve-device.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-si-audio-adapter.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-si-audio-endpoint.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-si-node.so
%attr(755,root,root) %{_libdir}/wireplumber-0.4/libwireplumber-module-si-standard-link.so
%{_datadir}/wireplumber/bluetooth.conf
%{_datadir}/wireplumber/bluetooth.lua.d
%{_datadir}/wireplumber/common
%{_datadir}/wireplumber/main.conf
%{_datadir}/wireplumber/main.lua.d
%{_datadir}/wireplumber/policy.conf
%{_datadir}/wireplumber/policy.lua.d
%{_datadir}/wireplumber/scripts
%{_datadir}/wireplumber/wireplumber.conf

%files libs
%defattr(644,root,root,755)
%doc NEWS.rst README.rst
%attr(755,root,root) %{_libdir}/libwireplumber-0.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwireplumber-0.4.so.0
%dir %{_libdir}/wireplumber-0.4
%dir %{_datadir}/wireplumber
%{_libdir}/girepository-1.0/Wp-0.4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwireplumber-0.4.so
%{_includedir}/wireplumber-0.4
%{_pkgconfigdir}/wireplumber-0.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwireplumber-0.4.a
%{_datadir}/gir-1.0/Wp-0.4.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/docs/html/{_images,_static,c_api,configuration,lua_api,*.html,*.js}
%endif
%changelog
* Thu Dec 15 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pipewire-wireplumber.git;a=log;h=master

* Tue Dec 13 2022 Jan Palus <atler@pld-linux.org> 5ae858f
- up to 0.4.13

* Tue Oct 04 2022 Jan Palus <atler@pld-linux.org> 3f487ab
- up to 0.4.12

* Tue Jul 05 2022 Jan Palus <atler@pld-linux.org> f1684bb
- up to 0.4.11

* Tue May 10 2022 Jan Palus <atler@pld-linux.org> 0aa4ce7
- up to 0.4.10

* Thu Apr 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 4fab528
- pl, docs packaging cleanup

* Tue Mar 22 2022 Jan Palus <atler@pld-linux.org> b649302
- up to 0.4.9

* Thu Mar 10 2022 Jan Palus <atler@pld-linux.org> ce087de
- systemd-units epoch

* Thu Mar 10 2022 Jan Palus <atler@pld-linux.org> 7f3de71
- fix hang/nosound in some pulseaudio apps; rel 2

* Thu Feb 17 2022 Jan Palus <atler@pld-linux.org> aa4be26
- up to 0.4.8

* Thu Feb 03 2022 Jan Palus <atler@pld-linux.org> 02b3b51
- up to 0.4.7

* Sat Jan 08 2022 Jan Rękorajski <baggins@pld-linux.org> bbac69f
- add systemd deps for post/preun scriptlets, rel 3

* Fri Jan 07 2022 Jan Rękorajski <baggins@pld-linux.org> ac4668d
- Obsolete pipewire-media-session, rel 2

* Fri Jan 07 2022 Jan Rękorajski <baggins@pld-linux.org> 13e76c0
- add systemd user scriptlets, rel 1

* Thu Jan 06 2022 Jan Palus <atler@pld-linux.org> c0b110e
- up to 0.4.6

* Fri Nov 12 2021 Jan Palus <atler@pld-linux.org> 8809821
- up to 0.4.5

* Fri Nov 12 2021 Jan Palus <atler@pld-linux.org> b24919a
- package apidocs and introspection files

* Thu Oct 21 2021 Jan Palus <atler@pld-linux.org> 02a2aaf
- initial

